Subject: Re: Could the DTS experts look at this?

From: David Gibson <[email-masked]>
Date: Tue, 12 Feb 2008 11:20:30 +1100

On Mon, Feb 11, 2008 at 08:07:14PM -0500, Sean MacLennan wrote:
> David Gibson wrote:
> > But the partitions are all the same size, so in Map 2 there's a great
> > big gap between Env and U-boot?  Or there's a great big gap before
> > FPGA?
> >   
> There's a great big gap before the FPGA, 63M worth. Before we got the 
> NAND working, we stored the kernel, the ramdisk image, and a persistent 
> store there. But we moved everything to the NAND and are now going to a 
> much smaller NOR chip.

Ok.

> >> The u-boot, env, and FPGA are anchored at the bottom of the flash. 
> >> Kernel is anchored at the top. Everything else goes in the middle.
> >>     
> >
> > Um.. so "bottom" actually means "high addresses" in the above?
> >   
> Yes. Top = offset 0, bottom = size-of-flash.

Um.. ok.  Not the way around I'd use, certainly...

> And there is a bug in the initial code, I have to update the reg length 
> field. 

Err.. now I'm doubly confused.  Initially I thought you'd need to
change the size part of reg somewhere, but your description above just
convinced me you didn't (because you were essentially just shifting a
4M map up into the high rather than low 4M of the 64M space).  Now
you're saying you do..

> I now have a Rev B board in my hands and tested that it works for 
> both Rev A and Rev B.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson